# DexGuard's default settings are fine for this sample application.

# The optimization step can remove specified logging calls.
# The shrinking step can then also remove the logging classes.

# Remove Android logging calls (in this case, including errors).
-assumenosideeffects class android.util.Log {
    public static boolean isLoggable(java.lang.String, int);
    public static int v(...);
    public static int i(...);
    public static int w(...);
    public static int d(...);
    public static int e(...);
    public static java.lang.String getStackTraceString(java.lang.Throwable);
}

# Remove Java logging calls.
-assumenosideeffects class java.util.logging.Logger {
    public static java.util.logging.Logger getLogger(...);
    public boolean isLoggable(java.util.logging.Level);
    public void entering(...);
    public void exiting(...);
    public void finest(...);
    public void finer(...);
    public void fine(...);
    public void config(...);
    public void info(...);
    public void warning(...);
    public void severe(...);
}

# Remove Apache Commons logging calls.
# -assumenosideeffects class org.apache.commons.logging.Log {
#    public boolean is*Enabled();
#    public void trace(...);
#    public void debug(...);
#    public void info(...);
#    public void warn(...);
#    public void error(...);
#    public void fatal(...);
# }

# Remove SLF4J logging calls.
# -assumenosideeffects class org.slf4j.Logger {
#     public boolean is*Enabled();
#     public void trace(...);
#     public void debug(...);
#     public void info(...);
#     public void warn(...);
#     public void error(...);
# }

# Remove Cordova logging calls.
# -assumenosideeffects class org.apache.cordova.LOG {
#     public static boolean isLoggable(int);
#     public static void v(...);
#     public static void d(...);
#     public static void i(...);
#     public static void w(...);
#     public static void e(...);
# }

# ------------------

# Remove debugging - Throwable_printStackTrace calls. Remove all invocations of
# Throwable.printStackTrace().
-assumenosideeffects public class java.lang.Throwable {
    public void printStackTrace();
}

# Remove debugging - Thread_dumpStack calls. Remove all invocations of
# Thread.dumpStack().
-assumenosideeffects public class java.lang.Thread {
    public static void dumpStack();
}

# Remove debugging - All logging API calls. Remove all invocations of the
# logging API whose return values are not used.
-assumenosideeffects public class java.util.logging.* {
    <methods>;
}

# Remove debugging - All Log4j API calls. Remove all invocations of the
# Log4j API whose return values are not used.
-assumenosideeffects public class org.apache.log4j.** {
    <methods>;
}
# ******************************************************************************************************************************************************
